#include <stdlib.h>


#define WINDOW_CLASS	"CritMassJB"
#define MYTIMER_ID	20020614
#define DEF_BOARDWIDTH	6
#define DEF_BOARDHEIGHT	5
#define PIECE_BMP_SIZE	48
#define WINDOWSIZE	400
#define MAX_TREE_DEPTH	3
#define HUMAN_PLAYER	0
#define COMP_PLAYER	1

// Delay in milliesconds
#define DELAY_SLOW	2000
#define DELAY_MEDIUM	1000
#define DELAY_FAST	200

/*
A single character (8 bits) stores all information for a cell.
Masks give easy access to various bits (e.g. owner, bomb count, etc.)

Bit	76543210
	--------
	x.......	last move flag
	.x......	player1 is owner
	..x.....	player2 is owner
	...x....	gone critical flag
	....xxxx	bomb count
*/

#define LASTMOVE_MASK	0x80
#define PLAYER_MASK	0x60
#define BOMB_MASK	0x0F
#define GONE_CRITICAL	0x10
#define PLAYER1		0x40
#define PLAYER2		0x20

typedef unsigned char	uchar;
